# Interface MapNotesSublayerExtensionCollection

A collection of sublayer extensions belonging to a mapping/MapNotesLayerExtension!MapNotesLayerExtension or a MapNotesSublayerExtension.

interface MapNotesSublayerExtensionCollection {
initializedItems: ReadOnlyCollection<MapNotesSublayerExtension>;
findById(id: string): MapNotesSublayerExtension;
findBySublayerId(id: number): MapNotesSublayerExtension;
forSublayer(sublayer: MapNotesSublayer): MapNotesSublayerExtension;
}

#### Hierarchy (view full)

- InitializableCollection<MapNotesSublayerExtensionProperties, MapNotesSublayerExtension>
  - MapNotesSublayerExtensionCollection

#####
Index

### Properties

initializedItems

### Methods

findById
findBySublayerId
forSublayer

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<MapNotesSublayerExtension>

Returns a collection of the initialized items.

Inherited from InitializableCollection.initializedItems

##
Methods

### findById

- findById(id): MapNotesSublayerExtension

- Get the sublayer extension for a given id.

  #### Parameters

  - id: string

    The id of the sublayer extension.

  #### Returns MapNotesSublayerExtension

  The sublayer extension.

### findBySublayerId

- findBySublayerId(id): MapNotesSublayerExtension

- Get the corresponding sublayer extension for a given sublayer id.

  #### Parameters

  - id: number

    The id of the sublayer.

  #### Returns MapNotesSublayerExtension

  The corresponding sublayer extension.

### forSublayer

- forSublayer(sublayer): MapNotesSublayerExtension

- Gets the corresponding sublayer extension for a given sublayer.

  #### Parameters

  - sublayer: MapNotesSublayer

    A sublayer.

  #### Returns MapNotesSublayerExtension

  The corresponding sublayer extension.